Name:		scrcpy
Version:	2.0
Release:	1%{?dist}
Summary:	Mirror and control an Android device on the computer screen.

License:	APL 2.0
URL:		https://github.com/Genymobile/scrcpy/
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-server-v%{version}.jar
Patch0:		02586cf21f18d52160a982e9b55e19d8b0b9993f.diff

BuildRequires:	SDL2-devel, ffms2-devel, meson, gcc, make, libusb1-devel
BuildRequires:  java-latest-openjdk-devel

%description
scrcpy provides display and control of Android devices connected on
USB (or over TCP/IP). It does not require any root access.

%prep
%setup -q -a0
%patch0 -p1 -b .02586cf21f18d52160a982e9b55e19d8b0b9993f

%build
%meson -Db_lto=true -Dprebuilt_server=%{SOURCE1}
%meson_build
%meson_test

%install
%meson_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/zsh/site-functions/_%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Fri Mar 24 2023 Philippe Troin <phil@fifi.org> - 2.0-1
- Upstream updated to 2.0.
- Include https://github.com/Genymobile/scrcpy/commit/02586cf21f18d52160a982e9b55e19d8b0b9993f

* Thu Dec 22 2022 Philippe Troin <phil@fifi.org> - 1.25-1
- Upstream updated to 1.25.
- Package .desktop files.

* Sat Dec 17 2022 Philippe Troin <phil@fifi.org> - 1.24-2
- BuildRequires libusb1-devel, which is the library actually used.

* Fri May 27 2022 Philippe Troin <phil@fifi.org> - 1.24-1
- Upstream updated to 1.24.

* Sun Mar  6 2022 Philippe Troin <phil@fifi.org> - 1.23-1
- Upstream updated to 1.23.
- Package completions for bash and zsh.

* Sat Jan 29 2022 Philippe Troin <phil@fifi.org> - 1.22-1
- Upstream updated to 1.22.

* Sat Dec  4 2021 Philippe Troin <phil@fifi.org> - 1.21-1
- Upstream updated to 1.21.
- Add libusb-devel to BuildRequires.
- Package new 256x256 icon.

* Sun Sep 19 2021 Philippe Troin <phil@fifi.org> - 1.19-1
- Upstream updated to 1.19.

* Thu Jun 24 2021 Philippe Troin <phil@fifi.org> - 1.18-1
- Upstream updated to 1.18.

* Wed Jan 20 2021 Philippe Troin <phil@fifi.org> - 1.17-1
- Upstream updated to 1.17.

* Sat Aug 15 2020 Philippe Troin <phil@fifi.org> - 1.16-1
- Upstream updated to 1.16.

* Sun Aug  9 2020 Philippe Troin <phil@fifi.org> - 1.15.1-1
- Upstream updated to 1.15.1.

* Sat Jun  6 2020 Philippe Troin <phil@fifi.org> - 1.14-1
- Upstream updated to 1.14.

* Fri May  1 2020 Philippe Troin <phil@fifi.org> - 1.13-1
- Upstream updated to 1.13.

* Sun Mar  1 2020 Philippe Troin <phil@fifi.org> - 1.12.1-1
- Upstream updated to 1.12.1.
- Package manpage.

* Mon Oct 28 2019 Philippe Troin <phil@fifi.org> - 1.10-2
- Add BuildRequires: java-latest-openjdk-devel.

* Sun Aug 25 2019 Philippe Troin <phil@fifi.org> - 1.10-1
- Upstream updated to 1.10.

* Thu Jun 13 2019 Philippe Troin <phil@fifi.org> - 1.9-1
- Created.
